Index: c/src/lib/libbsp/arm/altera-cyclone-v/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/altera-cyclone-v/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/arm/altera-cyclone-v/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -140,3 +140,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/arm/altera-cyclone-v/headers.am
Index: c/src/lib/libbsp/arm/atsam/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/atsam/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/arm/atsam/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -176,3 +176,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/arm/atsam/headers.am
Index: c/src/lib/libbsp/arm/beagle/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/beagle/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/arm/beagle/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -104,3 +104,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/arm/beagle/headers.am
Index: c/src/lib/libbsp/arm/csb336/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/csb336/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/arm/csb336/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -52,3 +52,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/arm/csb336/headers.am
Index: c/src/lib/libbsp/arm/csb337/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/csb337/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/arm/csb337/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -80,3 +80,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/arm/csb337/headers.am
Index: c/src/lib/libbsp/arm/edb7312/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/edb7312/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/arm/edb7312/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -56,3 +56,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/arm/edb7312/headers.am
Index: c/src/lib/libbsp/arm/gdbarmsim/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/gdbarmsim/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/arm/gdbarmsim/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -58,3 +58,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/arm/gdbarmsim/headers.am
Index: c/src/lib/libbsp/arm/gumstix/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/gumstix/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/arm/gumstix/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -57,3 +57,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/arm/gumstix/headers.am
Index: c/src/lib/libbsp/arm/imx/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/imx/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/arm/imx/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -91,3 +91,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/arm/imx/headers.am
Index: c/src/lib/libbsp/arm/lm3s69xx/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/lm3s69xx/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/arm/lm3s69xx/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -90,3 +90,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/arm/lm3s69xx/headers.am
Index: c/src/lib/libbsp/arm/lpc176x/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/lpc176x/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/arm/lpc176x/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -124,3 +124,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/arm/lpc176x/headers.am
Index: c/src/lib/libbsp/arm/lpc24xx/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/lpc24xx/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/arm/lpc24xx/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -142,3 +142,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/arm/lpc24xx/headers.am
Index: c/src/lib/libbsp/arm/lpc32xx/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/lpc32xx/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/arm/lpc32xx/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -120,3 +120,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/arm/lpc32xx/headers.am
Index: c/src/lib/libbsp/arm/raspberrypi/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/raspberrypi/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/arm/raspberrypi/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -129,3 +129,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/arm/raspberrypi/headers.am
Index: c/src/lib/libbsp/arm/realview-pbx-a9/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/realview-pbx-a9/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/arm/realview-pbx-a9/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -98,3 +98,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/arm/realview-pbx-a9/headers.am
Index: c/src/lib/libbsp/arm/rtl22xx/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/rtl22xx/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/arm/rtl22xx/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -55,3 +55,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/arm/rtl22xx/headers.am
Index: c/src/lib/libbsp/arm/smdk2410/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/smdk2410/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/arm/smdk2410/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -60,3 +60,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/arm/smdk2410/headers.am
Index: c/src/lib/libbsp/arm/stm32f4/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/stm32f4/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/arm/stm32f4/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -91,3 +91,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/arm/stm32f4/headers.am
Index: c/src/lib/libbsp/arm/tms570/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/tms570/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/arm/tms570/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -123,3 +123,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/arm/tms570/headers.am
Index: c/src/lib/libbsp/arm/xilinx-zynq/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/xilinx-zynq/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/arm/xilinx-zynq/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -93,3 +93,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/arm/xilinx-zynq/headers.am
Index: c/src/lib/libbsp/bfin/TLL6527M/Makefile.am
===================================================================
--- c/src/lib/libbsp/bfin/TLL6527M/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/bfin/TLL6527M/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -33,4 +33,5 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/bfin/shared/shared.am
 include $(srcdir)/../../../../../../bsps/bfin/TLL6527M/headers.am
Index: c/src/lib/libbsp/bfin/bf537Stamp/Makefile.am
===================================================================
--- c/src/lib/libbsp/bfin/bf537Stamp/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/bfin/bf537Stamp/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -38,4 +38,5 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/bfin/shared/shared.am
 include $(srcdir)/../../../../../../bsps/bfin/bf537Stamp/headers.am
Index: c/src/lib/libbsp/bfin/eZKit533/Makefile.am
===================================================================
--- c/src/lib/libbsp/bfin/eZKit533/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/bfin/eZKit533/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -34,4 +34,5 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/bfin/shared/shared.am
 include $(srcdir)/../../../../../../bsps/bfin/eZKit533/headers.am
Index: c/src/lib/libbsp/epiphany/epiphany_sim/Makefile.am
===================================================================
--- c/src/lib/libbsp/epiphany/epiphany_sim/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/epiphany/epiphany_sim/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -69,3 +69,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/epiphany/epiphany_sim/headers.am
Index: c/src/lib/libbsp/i386/pc386/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/pc386/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/i386/pc386/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -180,4 +180,5 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(top_srcdir)/../../../../automake/subdirs.am
 include $(srcdir)/../../../../../../bsps/i386/pc386/headers.am
Index: c/src/lib/libbsp/lm32/lm32_evr/Makefile.am
===================================================================
--- c/src/lib/libbsp/lm32/lm32_evr/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/lm32/lm32_evr/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -48,3 +48,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/lm32/lm32_evr/headers.am
Index: c/src/lib/libbsp/lm32/milkymist/Makefile.am
===================================================================
--- c/src/lib/libbsp/lm32/milkymist/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/lm32/milkymist/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -94,3 +94,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/lm32/milkymist/headers.am
Index: c/src/lib/libbsp/m32c/m32cbsp/Makefile.am
===================================================================
--- c/src/lib/libbsp/m32c/m32cbsp/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/m32c/m32cbsp/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -36,3 +36,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/m32c/m32cbsp/headers.am
Index: c/src/lib/libbsp/m68k/av5282/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/av5282/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/m68k/av5282/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -44,3 +44,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/m68k/av5282/headers.am
Index: c/src/lib/libbsp/m68k/csb360/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/csb360/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/m68k/csb360/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -39,3 +39,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/m68k/csb360/headers.am
Index: c/src/lib/libbsp/m68k/gen68340/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/gen68340/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/m68k/gen68340/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -41,3 +41,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/m68k/gen68340/headers.am
Index: c/src/lib/libbsp/m68k/gen68360/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/gen68360/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/m68k/gen68360/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -50,3 +50,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/m68k/gen68360/headers.am
Index: c/src/lib/libbsp/m68k/genmcf548x/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/genmcf548x/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/m68k/genmcf548x/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -60,3 +60,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/m68k/genmcf548x/headers.am
Index: c/src/lib/libbsp/m68k/mcf5206elite/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mcf5206elite/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/m68k/mcf5206elite/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -51,3 +51,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/m68k/mcf5206elite/headers.am
Index: c/src/lib/libbsp/m68k/mcf52235/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mcf52235/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/m68k/mcf52235/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -42,3 +42,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/m68k/mcf52235/headers.am
Index: c/src/lib/libbsp/m68k/mcf5225x/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mcf5225x/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/m68k/mcf5225x/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -37,3 +37,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/m68k/mcf5225x/headers.am
Index: c/src/lib/libbsp/m68k/mcf5235/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mcf5235/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/m68k/mcf5235/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -46,3 +46,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/m68k/mcf5235/headers.am
Index: c/src/lib/libbsp/m68k/mcf5329/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mcf5329/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/m68k/mcf5329/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -45,3 +45,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/m68k/mcf5329/headers.am
Index: c/src/lib/libbsp/m68k/mrm332/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mrm332/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/m68k/mrm332/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -41,3 +41,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/m68k/mrm332/headers.am
Index: c/src/lib/libbsp/m68k/mvme147/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme147/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/m68k/mvme147/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -42,3 +42,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/m68k/mvme147/headers.am
Index: c/src/lib/libbsp/m68k/mvme147s/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme147s/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/m68k/mvme147s/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -50,3 +50,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/m68k/mvme147s/headers.am
Index: c/src/lib/libbsp/m68k/mvme162/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme162/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/m68k/mvme162/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -53,3 +53,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/m68k/mvme162/headers.am
Index: c/src/lib/libbsp/m68k/mvme167/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme167/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/m68k/mvme167/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -46,4 +46,5 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/m68k/shared/fpsp.am
 include $(srcdir)/../../../../../../bsps/m68k/mvme167/headers.am
Index: c/src/lib/libbsp/m68k/uC5282/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/uC5282/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/m68k/uC5282/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -43,3 +43,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/m68k/uC5282/headers.am
Index: c/src/lib/libbsp/mips/csb350/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/csb350/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/mips/csb350/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -57,3 +57,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/mips/csb350/headers.am
Index: c/src/lib/libbsp/mips/hurricane/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/hurricane/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/mips/hurricane/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -62,3 +62,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/mips/hurricane/headers.am
Index: c/src/lib/libbsp/mips/jmr3904/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/jmr3904/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/mips/jmr3904/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -52,3 +52,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/mips/jmr3904/headers.am
Index: c/src/lib/libbsp/mips/malta/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/malta/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/mips/malta/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -74,3 +74,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/mips/malta/headers.am
Index: c/src/lib/libbsp/mips/rbtx4925/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/rbtx4925/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/mips/rbtx4925/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -61,3 +61,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/mips/rbtx4925/headers.am
Index: c/src/lib/libbsp/mips/rbtx4938/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/rbtx4938/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/mips/rbtx4938/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -62,3 +62,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/mips/rbtx4938/headers.am
Index: c/src/lib/libbsp/moxie/moxiesim/Makefile.am
===================================================================
--- c/src/lib/libbsp/moxie/moxiesim/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/moxie/moxiesim/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -43,3 +43,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/moxie/moxiesim/headers.am
Index: c/src/lib/libbsp/nios2/nios2_iss/Makefile.am
===================================================================
--- c/src/lib/libbsp/nios2/nios2_iss/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/nios2/nios2_iss/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -44,3 +44,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/nios2/nios2_iss/headers.am
Index: c/src/lib/libbsp/no_cpu/no_bsp/Makefile.am
===================================================================
--- c/src/lib/libbsp/no_cpu/no_bsp/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/no_cpu/no_bsp/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -34,3 +34,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/no_cpu/no_bsp/headers.am
Index: c/src/lib/libbsp/or1k/generic_or1k/Makefile.am
===================================================================
--- c/src/lib/libbsp/or1k/generic_or1k/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/or1k/generic_or1k/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -82,3 +82,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/or1k/generic_or1k/headers.am
Index: c/src/lib/libbsp/powerpc/beatnik/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/beatnik/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/powerpc/beatnik/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -174,4 +174,5 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/shared.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/exceptions.am
Index: c/src/lib/libbsp/powerpc/gen5200/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/powerpc/gen5200/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -115,4 +115,5 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/shared.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/exceptions.am
Index: c/src/lib/libbsp/powerpc/gen83xx/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/gen83xx/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/powerpc/gen83xx/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -87,4 +87,5 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/shared.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/exceptions.am
Index: c/src/lib/libbsp/powerpc/haleakala/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/haleakala/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/powerpc/haleakala/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -47,4 +47,5 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/shared.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/exceptions.am
Index: c/src/lib/libbsp/powerpc/motorola_powerpc/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/motorola_powerpc/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/powerpc/motorola_powerpc/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -125,4 +125,5 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(top_srcdir)/../../../../automake/subdirs.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/shared.am
Index: c/src/lib/libbsp/powerpc/mpc55xxevb/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/mpc55xxevb/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/powerpc/mpc55xxevb/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -115,4 +115,5 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/shared.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/exceptions.am
Index: c/src/lib/libbsp/powerpc/mpc8260ads/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/mpc8260ads/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/powerpc/mpc8260ads/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -62,4 +62,5 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/shared.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/exceptions.am
Index: c/src/lib/libbsp/powerpc/mvme3100/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/mvme3100/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/powerpc/mvme3100/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -106,4 +106,5 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/shared.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/exceptions.am
Index: c/src/lib/libbsp/powerpc/mvme5500/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/mvme5500/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/powerpc/mvme5500/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -93,4 +93,5 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/shared.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/exceptions.am
Index: c/src/lib/libbsp/powerpc/psim/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/psim/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/powerpc/psim/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -67,4 +67,5 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/shared.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/exceptions.am
Index: c/src/lib/libbsp/powerpc/qemuppc/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/qemuppc/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/powerpc/qemuppc/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -56,4 +56,5 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/shared.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/exceptions.am
Index: c/src/lib/libbsp/powerpc/qoriq/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/qoriq/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/powerpc/qoriq/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -106,4 +106,5 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/shared.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/exceptions.am
Index: c/src/lib/libbsp/powerpc/ss555/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/ss555/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/powerpc/ss555/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -46,4 +46,5 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/shared.am
 include $(srcdir)/../../../../../../bsps/powerpc/ss555/headers.am
Index: c/src/lib/libbsp/powerpc/t32mppc/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/t32mppc/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/powerpc/t32mppc/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -68,4 +68,5 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/shared.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/exceptions.am
Index: c/src/lib/libbsp/powerpc/tqm8xx/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/tqm8xx/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/powerpc/tqm8xx/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -67,4 +67,5 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/shared.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/exceptions.am
Index: c/src/lib/libbsp/powerpc/virtex/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/virtex/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/powerpc/virtex/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -64,4 +64,5 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/shared.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/exceptions.am
Index: c/src/lib/libbsp/powerpc/virtex4/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/virtex4/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/powerpc/virtex4/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -50,4 +50,5 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/shared.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/exceptions.am
Index: c/src/lib/libbsp/powerpc/virtex5/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/virtex5/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/powerpc/virtex5/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -52,4 +52,5 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/shared.am
 include $(srcdir)/../../../../../../bsps/powerpc/shared/exceptions.am
Index: c/src/lib/libbsp/riscv/riscv_generic/Makefile.am
===================================================================
--- c/src/lib/libbsp/riscv/riscv_generic/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/riscv/riscv_generic/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -70,3 +70,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/riscv/riscv_generic/headers.am
Index: c/src/lib/libbsp/sh/gensh1/Makefile.am
===================================================================
--- c/src/lib/libbsp/sh/gensh1/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/sh/gensh1/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -50,3 +50,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/sh/gensh1/headers.am
Index: c/src/lib/libbsp/sh/gensh2/Makefile.am
===================================================================
--- c/src/lib/libbsp/sh/gensh2/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/sh/gensh2/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -52,3 +52,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/sh/gensh2/headers.am
Index: c/src/lib/libbsp/sh/gensh4/Makefile.am
===================================================================
--- c/src/lib/libbsp/sh/gensh4/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/sh/gensh4/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -41,3 +41,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/sh/gensh4/headers.am
Index: c/src/lib/libbsp/sh/shsim/Makefile.am
===================================================================
--- c/src/lib/libbsp/sh/shsim/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/sh/shsim/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -49,3 +49,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/sh/shsim/headers.am
Index: c/src/lib/libbsp/sparc/erc32/Makefile.am
===================================================================
--- c/src/lib/libbsp/sparc/erc32/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/sparc/erc32/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -79,3 +79,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/sparc/erc32/headers.am
Index: c/src/lib/libbsp/sparc/leon2/Makefile.am
===================================================================
--- c/src/lib/libbsp/sparc/leon2/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/sparc/leon2/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -177,3 +177,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/sparc/leon2/headers.am
Index: c/src/lib/libbsp/sparc/leon3/Makefile.am
===================================================================
--- c/src/lib/libbsp/sparc/leon3/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/sparc/leon3/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -202,3 +202,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/sparc/leon3/headers.am
Index: c/src/lib/libbsp/sparc64/niagara/Makefile.am
===================================================================
--- c/src/lib/libbsp/sparc64/niagara/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/sparc64/niagara/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -52,3 +52,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/sparc64/niagara/headers.am
Index: c/src/lib/libbsp/sparc64/usiii/Makefile.am
===================================================================
--- c/src/lib/libbsp/sparc64/usiii/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/sparc64/usiii/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -65,3 +65,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/sparc64/usiii/headers.am
Index: c/src/lib/libbsp/v850/gdbv850sim/Makefile.am
===================================================================
--- c/src/lib/libbsp/v850/gdbv850sim/Makefile.am	(revision 66b99a13ac2653d54fae16f7985bd369df39a665)
+++ c/src/lib/libbsp/v850/gdbv850sim/Makefile.am	(revision ce0ea6ff4f43221c202f64a11483b11f8521ce09)
@@ -42,3 +42,4 @@
 
 include $(top_srcdir)/../../../../automake/local.am
+include $(srcdir)/../../../../../../bsps/shared/shared-sources.am
 include $(srcdir)/../../../../../../bsps/v850/gdbv850sim/headers.am
